Subject: Re: [PATCH v3] pack-bitmap: remove checks before bitmap_free

From: Junio C Hamano <[email-masked]>
Date: Wed, 04 Jun 2025 07:49:02 -0700

lidongyan <[email-masked]> writes:

>> Which was where my question came from.
>> 
>> Or perhaps you didn't do that "is my test really tickling the bug I
>> fixed and makes the original code without my fix fail?" test?  Which
>> also explains why lack of "export" was not noticed.
>
> The test case in v0 with “export” would fail, but test-lint in CI shouts. To make
> CI happy, I delete “export” and submit immediately. So I am sure now in
> v3 this test truly test what we want. But I make two mistakes that I haven’t
> pass all CI test before submit. I apologize for the oversight. I'll double-check
> my tests more carefully in the future to avoid similar issues.

Ah, I understood what happened.  No need to apologize.  I just
wanted to know how it was missed, so that we all can learn from
this episode to make sure that our tests do verify what we want
them to.

Thanks.